Bug 1277438 - log tail API endpoint gives HTTP 500 when requested log is binary
log tail API endpoint gives HTTP 500 when requested log is binary
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari (Show other bugs)
Unspecified Unspecified
low Severity low
: rc
: 1.3.4
Assigned To: Gregory Meno
Depends On:
  Show dependency treegraph
Reported: 2015-11-03 05:21 EST by rakesh
Modified: 2018-01-18 04:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-01-18 04:25:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rakesh 2015-11-03 05:21:30 EST
when substituted log_path in this "api/v2/server/<fqdn>/log/<log_path>" with "lastlog" and "wtmp", we get 500 Server Error.  (the usage is explained with example in the below mentioned link) 

for example "/api/v2/server/<fqdn>/log/lastlog " and "/api/v2/server/<fqdn>/log/wtmp". 

the usage is described here
Comment 2 Gregory Meno 2015-11-04 00:34:20 EST
does it work for any log?
please include logs from calamari as described here:
Comment 4 rakesh 2015-11-04 10:12:45 EST
yes it works other logs.
Comment 5 Gregory Meno 2015-11-04 12:54:16 EST
wtmp and lastlog are binary formats

We won't be able to show these without filtering them through /usr/bin/last

I think the correct behavior is to error with a more helpful message and improve the docs to list this as unsupported.

Note You need to log in before you can comment on or make changes to this bug.